<?php
######################################################################
# Copyright (C) 2016 Tafabofo
# Valerio Bozzolan and contributors
######################################################################
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#######################################################################

$tot = 0;
$moo = 0;

require 'load.php';

require 'taboo.php';

function get_word($word) {
	return query_row( sprintf(
		"SELECT * FROM word WHERE word_name = '%s'",
		esc_sql( $word )
	) );
}

$wordset = null;
foreach($asd as $porco) {
	if( ! $porco ) {
		$wordset = null;

		continue;
	}

	$word = get_word( $porco );

	if( ! $word ) {
		insert_row('word', [
			new DBCol('word_name', $porco, 's')
		] );

		$word = get_word( $porco );

		if( ! $wordset ) {
			$moo++;
		}

		echo "Inserita: \t {$word->word_name}...\n";
	}

	if( ! $wordset ) {
		$wordset = $word;

		$tot++;

		continue;
	}

	$exists = query_row( sprintf(
		"SELECT 1 FROM censored WHERE tosay = %d AND todontsay = %d",
		$wordset->word_ID,
		$word->word_ID
	) );

	if( ! $exists ) {
		insert_row('censored', [
			new DBCol('tosay',     $wordset->word_ID, 'd'),
			new DBCol('todontsay', $word->word_ID,    'd')
		] );

		echo "Taboo:";
	} else {
		echo "Jump:";
	}
	echo" \t {$wordset->word_name} - (Non si può dire: {$word->word_name})...\n";
}

echo "Inserite ora: $moo.\n";
echo "In tutto: $tot.\n";
