<?php
######################################################################
# Copyright (C) 2016 Tafabofo
# Valerio Bozzolan and contributors
######################################################################
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#######################################################################

require 'load.php';

if( ! is_logged() ) {
	http_redirect(URL . '/login.php');
}

new Header();

$word = query_row(
	sprintf(
		"SELECT word.word_ID, word_name, play_times ".
			"FROM {$JOIN('word')} JOIN {$JOIN('censored')} ".
				"ON (word.word_ID = tosay) ".
				"LEFT JOIN {$JOIN('play')} ".
					"ON (user_ID = %d AND word.word_ID = play.word_ID) ".
		"ORDER BY play_times IS NULL DESC, ".
		         "play_times ASC, ".
		         "RAND() ".
		"LIMIT 1",
		get_user('user_ID')
	),
	'Play'
);

if( ! $word ) {
	error_die("Database vuoto?");
}

$word->played();

$todontsays = $word->getCensored()->getResults('Word');
?>

<h1><?php echo $word->getWordName() ?></h1>

<?php foreach($todontsays as $todontsay): ?>
	<p><?php echo $todontsay->getWordName() ?>
<?php endforeach ?>

<?php new Footer();
